Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 193852 - Unable to open USB device "usb:/dev/usb/lp0": Permission denied
Summary: Unable to open USB device "usb:/dev/usb/lp0": Permission denied
Keywords:
Status: CLOSED DUPLICATE of bug 192805
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 5
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-06-02 06:56 UTC by Amar Kumar Padhi
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-07 12:40:02 UTC


Attachments (Terms of Use)

Description Amar Kumar Padhi 2006-06-02 06:56:50 UTC
Description of problem:
I was able to print on my Epson Stylus CX3200 printer till I applied some latest
updates for CUPS. Now it gives me the following error whenever I print or check
on the printer status.

[soam@amzone ~]$ lpstat -t
scheduler is running
system default destination: CX3200
device for CX3200: usb:/dev/usb/lp0
CX3200 accepting requests since Wed 31 May 2006 09:16:42 PM GST
printer CX3200 disabled since Wed 31 May 2006 09:16:42 PM GST -
        Unable to open USB device "usb:/dev/usb/lp0": Permission denied
[soam@amzone ~]$

On checking the permissions on lp0, no access is present. Giving complete
permissions does not help either. Moreover, the settings are lost once I reboot. 

[root@amzone dev]# ls -l lp*
crw-rw---- 1 root lp 6, 0 Jun  2 10:41 lp0


Version-Release number of selected component (if applicable):

[root@amzone dev]# ls -l lp*
crw-rw---- 1 root lp 6, 0 Jun  2 10:41 lp0
[root@amzone dev]# rpm -qa cups
[root@amzone dev]#
[root@amzone dev]# rpm -qa cups*
cups-libs-1.2.1-1.2
cups-1.2.1-1.2

[root@amzone dev]# uname -a
Linux amzone.localdomain.com 2.6.16-1.2111_FC5smp #1 SMP Thu May 4 21:35:09 EDT
2006 i686 i686 i386 GNU/Linux


How reproducible:
I can't print now.

Steps to Reproduce:
N/A
  
Actual results:
N/A

Expected results:
N/A

Additional info:
The file /etc/cups/printers.conf has below info:-
[root@amzone cups]# more printers.conf
# Printer configuration file for CUPS v1.2.0
# Written by cupsd on 2006-05-31 21:16
<DefaultPrinter CX3200>
Info Epson printer
Location Epson printer
DeviceURI usb:/dev/usb/lp0
State Stopped
StateMessage Unable to open USB device "usb:/dev/usb/lp0": Permission denied
StateTime 1149095802
Accepting Yes
Shared Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
</Printer>


The following details are shown when I try to print test page from CUPS:-
d [02/Jun/2006:11:08:14 +0400] cupsdAcceptClient(lis=0x965e4a8) 2 Clients = 0
D [02/Jun/2006:11:08:14 +0400] cupsdAcceptClient: 5 from localhost:631 (IPv4)
d [02/Jun/2006:11:08:14 +0400] cupsdAcceptClient: 5 connected to server on
amzone.localdomain.com:631
d [02/Jun/2006:11:08:14 +0400] cupsdAcceptClient: Adding fd 5 to InputSet...
d [02/Jun/2006:11:08:14 +0400] cupsdCheckJobs: 0 active jobs, sleeping=0, reload=0
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5, used=0, file=-1 state=0
D [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5 POST / HTTP/1.1
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: uri = "/"...
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/stylus-cx3200-2
Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/stylus-cx3200-1
Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location
/printers/stylus-cx3200--1 Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/printer Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/cx3200-t Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/cx3200 Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/CX3200 Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /admin Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location / Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: best = /
d [02/Jun/2006:11:08:14 +0400] cupsdAuthorize: con->uri="/", con->best=0x9656838(/)
d [02/Jun/2006:11:08:14 +0400] cupsdAuthorize: Authorization=""
D [02/Jun/2006:11:08:14 +0400] cupsdAuthorize: No authentication data provided.
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: con->uri="/",
con->best=0x9656838(/)
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: level=AUTH_ANON,
type=AUTH_NONE, satisfy=AUTH_SATISFY_ALL, num_names=0
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: auth=AUTH_ALLOW...
d [02/Jun/2006:11:08:14 +0400] POST /
d [02/Jun/2006:11:08:14 +0400] CONTENT_TYPE = application/ipp
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5
con->data_encoding=HTTP_ENCODE_LENGTH, con->data_remaining=351, con->file=-1
d [02/Jun/2006:11:08:14 +0400] cupsdProcessIPPRequest(0x968f270[5]):
operation_id = 4002
D [02/Jun/2006:11:08:14 +0400] CUPS-Get-Printers
d [02/Jun/2006:11:08:14 +0400] get_printers(0x968f270[5], 0)
d [02/Jun/2006:11:08:14 +0400] cupsdFindPolicyOp(p=0x96579d8,
op=4002(CUPS-Get-Printers))
d [02/Jun/2006:11:08:14 +0400] cupsdFindPolicyOp: Found wildcard match...
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: con->uri="/",
con->best=0x9658ba0((null))
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: level=AUTH_ANON,
type=AUTH_NONE, satisfy=AUTH_SATISFY_ALL, num_names=0
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: op=0(unknown-0000)
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: auth=AUTH_ALLOW...
d [02/Jun/2006:11:08:14 +0400] add_printer_state_reasons(0x968f270[5],
0x965e5b8[CX3200])
d [02/Jun/2006:11:08:14 +0400] copy_attrs(to=0x9692b20, from=0x9669220,
ra=0x9692b98, group=0, quickcopy=0)
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669330[printer-name,4,42])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96693d0[printer-info,4,41])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669558[job-sheets-default,4,42])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96a3250[printer-make-and-model,4,41])
d [02/Jun/2006:11:08:14 +0400] copy_attrs(to=0x9692b20, from=0x965ee70,
ra=0x9692b98, group=0, quickcopy=-2147483648)
D [02/Jun/2006:11:08:14 +0400] cupsdProcessIPPRequest: 5 status_code=0
(successful-ok)
d [02/Jun/2006:11:08:14 +0400] cupsdProcessIPPRequest: Adding fd 5 to OutputSet...
d [02/Jun/2006:11:08:14 +0400] cupsdWriteClient: 5 bytes < 0
d [02/Jun/2006:11:08:14 +0400] cupsdWriteClient: Removing fd 5 from OutputSet...
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5, used=0, file=-1 state=0
D [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5 POST / HTTP/1.1
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: uri = "/"...
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/stylus-cx3200-2
Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/stylus-cx3200-1
Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location
/printers/stylus-cx3200--1 Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/printer Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/cx3200-t Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/cx3200 Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/CX3200 Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /admin Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location / Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: best = /
d [02/Jun/2006:11:08:14 +0400] cupsdAuthorize: con->uri="/", con->best=0x9656838(/)
d [02/Jun/2006:11:08:14 +0400] cupsdAuthorize: Authorization=""
D [02/Jun/2006:11:08:14 +0400] cupsdAuthorize: No authentication data provided.
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: con->uri="/",
con->best=0x9656838(/)
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: level=AUTH_ANON,
type=AUTH_NONE, satisfy=AUTH_SATISFY_ALL, num_names=0
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: auth=AUTH_ALLOW...
d [02/Jun/2006:11:08:14 +0400] POST /
d [02/Jun/2006:11:08:14 +0400] CONTENT_TYPE = application/ipp
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5
con->data_encoding=HTTP_ENCODE_LENGTH, con->data_remaining=351, con->file=-1
d [02/Jun/2006:11:08:14 +0400] cupsdProcessIPPRequest(0x968f270[5]):
operation_id = 4005
D [02/Jun/2006:11:08:14 +0400] CUPS-Get-Classes
d [02/Jun/2006:11:08:14 +0400] get_printers(0x968f270[5], 1)
d [02/Jun/2006:11:08:14 +0400] cupsdFindPolicyOp(p=0x96579d8,
op=4005(CUPS-Get-Classes))
d [02/Jun/2006:11:08:14 +0400] cupsdFindPolicyOp: Found wildcard match...
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: con->uri="/",
con->best=0x9658ba0((null))
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: level=AUTH_ANON,
type=AUTH_NONE, satisfy=AUTH_SATISFY_ALL, num_names=0
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: op=0(unknown-0000)
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: auth=AUTH_ALLOW...
D [02/Jun/2006:11:08:14 +0400] cupsdProcessIPPRequest: 5 status_code=0
(successful-ok)
d [02/Jun/2006:11:08:14 +0400] cupsdProcessIPPRequest: Adding fd 5 to OutputSet...
d [02/Jun/2006:11:08:14 +0400] cupsdWriteClient: 5 bytes < 0
d [02/Jun/2006:11:08:14 +0400] cupsdWriteClient: Removing fd 5 from OutputSet...
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5, used=0, file=-1 state=0
D [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5 POST / HTTP/1.1
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: uri = "/"...
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/stylus-cx3200-2
Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/stylus-cx3200-1
Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location
/printers/stylus-cx3200--1 Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/printer Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/cx3200-t Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/cx3200 Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/CX3200 Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /admin Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location / Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: best = /
d [02/Jun/2006:11:08:14 +0400] cupsdAuthorize: con->uri="/", con->best=0x9656838(/)
d [02/Jun/2006:11:08:14 +0400] cupsdAuthorize: Authorization=""
D [02/Jun/2006:11:08:14 +0400] cupsdAuthorize: No authentication data provided.
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: con->uri="/",
con->best=0x9656838(/)
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: level=AUTH_ANON,
type=AUTH_NONE, satisfy=AUTH_SATISFY_ALL, num_names=0
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: auth=AUTH_ALLOW...
d [02/Jun/2006:11:08:14 +0400] POST /
d [02/Jun/2006:11:08:14 +0400] CONTENT_TYPE = application/ipp
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5
con->data_encoding=HTTP_ENCODE_LENGTH, con->data_remaining=75, con->file=-1
d [02/Jun/2006:11:08:14 +0400] cupsdProcessIPPRequest(0x968f270[5]):
operation_id = 4001
D [02/Jun/2006:11:08:14 +0400] CUPS-Get-Default
d [02/Jun/2006:11:08:14 +0400] get_default(0x968f270[5])
d [02/Jun/2006:11:08:14 +0400] cupsdFindPolicyOp(p=0x96579d8,
op=4001(CUPS-Get-Default))
d [02/Jun/2006:11:08:14 +0400] cupsdFindPolicyOp: Found wildcard match...
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: con->uri="/",
con->best=0x9658ba0((null))
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: level=AUTH_ANON,
type=AUTH_NONE, satisfy=AUTH_SATISFY_ALL, num_names=0
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: op=0(unknown-0000)
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: auth=AUTH_ALLOW...
d [02/Jun/2006:11:08:14 +0400] add_printer_state_reasons(0x968f270[5],
0x965e5b8[CX3200])
d [02/Jun/2006:11:08:14 +0400]
printer-uri-supported="ipp://amzone.localdomain.com:631/printers/CX3200"
d [02/Jun/2006:11:08:14 +0400] add_queued_job_count(0x968f270[5], 0x965e5b8[CX3200])
d [02/Jun/2006:11:08:14 +0400] copy_attrs(to=0x9692b20, from=0x9669220,
ra=(nil), group=0, quickcopy=0)
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669248[uri-authentication-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96692d8[uri-security-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669330[printer-name,4,42])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669380[printer-location,4,41])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96693d0[printer-info,4,41])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669420[printer-more-info,4,45])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669470[job-quota-period,4,21])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96694c0[job-k-limit,4,21])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669508[job-page-limit,4,21])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669558[job-sheets-default,4,42])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20, 0x96695b0[device-uri,4,45])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96a2730[color-supported,4,22])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96a28d8[pages-per-minute,4,21])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96a3250[printer-make-and-model,4,41])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96695f8[media-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x966a068[media-default,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x966a2d8[port-monitor,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x966a328[port-monitor-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x966a380[finishings-supported,4,23])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x966a3d8[finishings-default,4,23])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96a2090[document-format-supported,4,49])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96a2870[copies-default,4,21])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96a2760[job-hold-until-default,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96a27b8[job-priority-default,4,21])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x966d8c0[number-up-default,4,21])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x966d8f8[orientation-requested-default,4,23])
d [02/Jun/2006:11:08:14 +0400] copy_attrs(to=0x9692b20, from=0x965ee70,
ra=(nil), group=0, quickcopy=-2147483648)
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96691c8[charset-configured,4,47])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x965f510[charset-supported,4,47])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x965f550[compression-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669160[copies-supported,4,33])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669090[document-format-default,4,49])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669038[generated-natural-language-supported,4,48])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x965f0f8[ipp-versions-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x965f198[job-hold-until-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669010[job-priority-supported,4,21])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x965f3a0[job-sheets-supported,4,42])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x965f0a8[multiple-document-handling-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9668c30[multiple-document-jobs-supported,4,22])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9668538[multiple-operation-time-out,4,21])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96684e0[natural-language-configured,4,48])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9669110[notify-attributes-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96684b8[notify-lease-duration-default,4,21])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9668458[notify-lease-duration-supported,4,33])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96682d0[notify-max-events-supported,4,21])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x965f658[notify-events-default,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x96685b8[notify-events-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x965f5f8[notify-pull-method-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x965f5d0[notify-schemes-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9668d28[number-up-supported,4,21])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9668db0[operations-supported,4,23])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9668fb8[orientation-requested-supported,4,23])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x965f070[page-ranges-supported,4,22])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x965f018[pdl-override-supported,4,44])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x9668318[printer-error-policy-supported,4,42])
d [02/Jun/2006:11:08:14 +0400] copy_attribute(0x9692b20,
0x965ee98[printer-op-policy-supported,4,42])
D [02/Jun/2006:11:08:14 +0400] cupsdProcessIPPRequest: 5 status_code=0
(successful-ok)
d [02/Jun/2006:11:08:14 +0400] cupsdProcessIPPRequest: Adding fd 5 to OutputSet...
d [02/Jun/2006:11:08:14 +0400] cupsdWriteClient: 5 bytes < 0
d [02/Jun/2006:11:08:14 +0400] cupsdWriteClient: Removing fd 5 from OutputSet...
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5, used=0, file=-1 state=0
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: httpGets returned EOF...
D [02/Jun/2006:11:08:14 +0400] cupsdCloseClient: 5
d [02/Jun/2006:11:08:14 +0400] cupsdCloseClient: Removing fd 5 from InputSet and
OutputSet...
d [02/Jun/2006:11:08:14 +0400] cupsdAcceptClient(lis=0x965e4a8) 2 Clients = 0
D [02/Jun/2006:11:08:14 +0400] cupsdAcceptClient: 5 from localhost:631 (IPv4)
d [02/Jun/2006:11:08:14 +0400] cupsdAcceptClient: 5 connected to server on
amzone.localdomain.com:631
d [02/Jun/2006:11:08:14 +0400] cupsdAcceptClient: Adding fd 5 to InputSet...
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5, used=0, file=-1 state=0
D [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5 POST /printers/CX3200 HTTP/1.1
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: uri = "/printers/CX3200"...
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/stylus-cx3200-2
Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/stylus-cx3200-1
Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location
/printers/stylus-cx3200--1 Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/printer Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/cx3200-t Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/cx3200 Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /printers/CX3200 Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location /admin Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: Location / Limit 7f
d [02/Jun/2006:11:08:14 +0400] cupsdFindBest: best = /printers/cx3200
d [02/Jun/2006:11:08:14 +0400] cupsdAuthorize: con->uri="/printers/CX3200",
con->best=0x965dea8(/printers/cx3200)
d [02/Jun/2006:11:08:14 +0400] cupsdAuthorize: Authorization=""
D [02/Jun/2006:11:08:14 +0400] cupsdAuthorize: No authentication data provided.
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: con->uri="/printers/CX3200",
con->best=0x965dea8(/printers/cx3200)
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: level=AUTH_ANON,
type=AUTH_NONE, satisfy=AUTH_SATISFY_ALL, num_names=0
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: auth=AUTH_ALLOW...
d [02/Jun/2006:11:08:14 +0400] POST /printers/CX3200
d [02/Jun/2006:11:08:14 +0400] CONTENT_TYPE = application/ipp
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5
con->data_encoding=HTTP_ENCODE_LENGTH, con->data_remaining=18858, con->file=-1
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5, used=468, file=-1 state=6
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5
con->data_encoding=HTTP_ENCODE_LENGTH, con->data_remaining=18850, con->file=-1
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5 REQUEST /var/spool/cups/00000000=7
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5 writing 18382 bytes to 7
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5 Closing data file 7, size=18382.
d [02/Jun/2006:11:08:14 +0400] cupsdProcessIPPRequest(0x968f270[5]):
operation_id = 0002
D [02/Jun/2006:11:08:14 +0400] Print-Job ipp://localhost/printers/CX3200
d [02/Jun/2006:11:08:14 +0400] print_job(0x968f270[5],
ipp://localhost/printers/CX3200)
D [02/Jun/2006:11:08:14 +0400] print_job: auto-typing file...
D [02/Jun/2006:11:08:14 +0400] print_job: request file type is
application/postscript.
d [02/Jun/2006:11:08:14 +0400] add_job(0x968f270[5],
ipp://localhost/printers/CX3200)
d [02/Jun/2006:11:08:14 +0400] cupsdFindPolicyOp(p=0x96579d8, op=2(Print-Job))
d [02/Jun/2006:11:08:14 +0400] cupsdFindPolicyOp: Found wildcard match...
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: con->uri="/printers/CX3200",
con->best=0x9658ba0((null))
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: level=AUTH_ANON,
type=AUTH_NONE, satisfy=AUTH_SATISFY_ALL, num_names=0
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: op=0(unknown-0000)
d [02/Jun/2006:11:08:14 +0400] cupsdIsAuthorized: auth=AUTH_ALLOW...
d [02/Jun/2006:11:08:14 +0400] check_quotas(0x968f270[5], 0x965e5b8[CX3200])
D [02/Jun/2006:11:08:14 +0400] add_job: requesting-user-name="root"
I [02/Jun/2006:11:08:14 +0400] Adding start banner page "none" to job 37.
d [02/Jun/2006:11:08:14 +0400] copy_banner(0x968f270[5], 0x9692e38[37], none)
d [02/Jun/2006:11:08:14 +0400] add_job_state_reasons(0x968f270[5], 37)
D [02/Jun/2006:11:08:14 +0400] Discarding unused job-created event...
d [02/Jun/2006:11:08:14 +0400] add_file(con=0x968f270[5], job=37,
filetype=application/postscript, compression=0)
I [02/Jun/2006:11:08:14 +0400] Adding end banner page "none" to job 37.
d [02/Jun/2006:11:08:14 +0400] copy_banner(0x968f270[5], 0x9692e38[37], none)
I [02/Jun/2006:11:08:14 +0400] Job 37 queued on "CX3200" by "root".
D [02/Jun/2006:11:08:14 +0400] Job 37 hold_until = 0
d [02/Jun/2006:11:08:14 +0400] cupsdSaveJob(job=0x9692e38(37)): job->attrs=0x968eb90
d [02/Jun/2006:11:08:14 +0400] cupsdCheckJobs: 1 active jobs, sleeping=0, reload=0
d [02/Jun/2006:11:08:14 +0400] cupsdCheckJobs: Job 37: state_value=3, loaded=yes
D [02/Jun/2006:11:08:14 +0400] cupsdProcessIPPRequest: 5 status_code=0
(successful-ok)
d [02/Jun/2006:11:08:14 +0400] cupsdProcessIPPRequest: Adding fd 5 to OutputSet...
d [02/Jun/2006:11:08:14 +0400] select_timeout: 11 seconds to process active jobs
d [02/Jun/2006:11:08:14 +0400] cupsdWriteClient: 5 bytes < 0
d [02/Jun/2006:11:08:14 +0400] cupsdWriteClient: Removing fd 5 from OutputSet...
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: 5, used=0, file=-1 state=0
d [02/Jun/2006:11:08:14 +0400] cupsdReadClient: httpGets returned EOF...
D [02/Jun/2006:11:08:14 +0400] cupsdCloseClient: 5
d [02/Jun/2006:11:08:14 +0400] cupsdCloseClient: Removing fd 5 from InputSet and
OutputSet...
d [02/Jun/2006:11:08:15 +0400] select_timeout: 11 seconds to process active jobs

Comment 1 Tim Waugh 2006-06-02 08:02:40 UTC
What does 'ls -lZ /dev/usb/lp0' say? (You've shown me the permissions on /dev/lp0..)

Or perhaps this is the problem, that there is no /dev/usb/lp0?

Comment 2 Amar Kumar Padhi 2006-06-03 15:15:00 UTC
Yak, my mistake. Here is the output you requested - 

[root@amzone ~]# cd /dev/usb
[root@amzone usb]# ls -l
total 0
crw------- 1 soam root 180, 0 Jun  3 18:45 lp0
[root@amzone usb]# ls -lZ /dev/usb/lp0
crw-------  soam     root                                      /dev/usb/lp0
[root@amzone usb]#


One more important point I would like to share, I may be doubting the cups
upgrade, but in general I also did a kernel upgrade to 2.6.16-1.2111_FC5smp. I
am not sure, but I get a feeling that there may be some kind of permission locks
being enforced after this upgrade.

Thanks!
amar kumar padhi



Comment 3 Tim Waugh 2006-06-04 11:33:54 UTC
What about these commands?:

/usr/sbin/getenforce
ls -lZ /usr/lib/cups/backend/usb


Comment 4 Amar Kumar Padhi 2006-06-05 14:03:08 UTC
[soam@amzone ~]$ su -
Password:
[root@amzone ~]# /usr/sbin/getenforce
Disabled
[root@amzone ~]# ls -lZ /usr/lib/cups/backend/usb
-rwx------  root     root                                     
/usr/lib/cups/backend/usb
[root@amzone ~]#

I again applied a kernel upgrade yesterday, but no change in printing error.

[root@amzone ~]# uname -a
Linux amzone.localdomain.com 2.6.16-1.2122_FC5smp #1 SMP Sun May 21 15:18:32 EDT
2006 i686 i686 i386 GNU/Linux

Thanks!
amar kumar padhi

Comment 5 Tim Waugh 2006-06-07 12:40:02 UTC
Wait, I just spotted this:

> How reproducible:
> I can't print now.

That's because it's fixed. :-)


*** This bug has been marked as a duplicate of 192805 ***

Comment 6 Amar Kumar Padhi 2006-06-07 19:12:36 UTC
Aye Thanks man!
I will check on the links for more details.

Thanks!
amar kumar padhi


Note You need to log in before you can comment on or make changes to this bug.